summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorjbj <devnull@localhost>2003-12-27 18:02:20 +0000
committerjbj <devnull@localhost>2003-12-27 18:02:20 +0000
commit5618e713b8b73772ae332b8728401162eabd09a2 (patch)
tree3d234c6289866d5cf941fc9dcdd29e2285b200c7 /scripts
parentaef89a72025586ae62bd3ebefbaa810696ff0065 (diff)
downloadlibrpm-tizen-5618e713b8b73772ae332b8728401162eabd09a2.tar.gz
librpm-tizen-5618e713b8b73772ae332b8728401162eabd09a2.tar.bz2
librpm-tizen-5618e713b8b73772ae332b8728401162eabd09a2.zip
- flush pipe before exit 1 in check-files (#103867).
CVS patchset: 7036 CVS date: 2003/12/27 18:02:20
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/check-files5
1 files changed, 4 insertions, 1 deletions
diff --git a/scripts/check-files b/scripts/check-files
index 231719352..8df214f35 100755
--- a/scripts/check-files
+++ b/scripts/check-files
@@ -8,7 +8,10 @@
RPM_BUILD_ROOT=$1
-[ ! -d "$RPM_BUILD_ROOT" ] && exit 1
+if [ ! -d "$RPM_BUILD_ROOT" ] ; then
+ cat > /dev/null
+ exit 1
+fi
[ "$TMPDIR" ] || TMPDIR=/tmp
FILES_DISK=`mktemp $TMPDIR/rpmXXXXXX`